Loading...
Searching...
No Matches
MinCostArborescence< GR, CM, TR >::DualIt Class Reference

## Detailed Description

template<typename GR, typename CM, typename TR>
class lemon::MinCostArborescence< GR, CM, TR >::DualIt

This class provides a common style LEMON iterator for getting a dual variable of MinCostArborescence algorithm. It iterates over a subset of the nodes.

`#include <lemon/min_cost_arborescence.h>`

## Public Member Functions

| DualIt (const MinCostArborescence &algorithm, int variable)
| Constructor.
| operator Node () const
| Conversion to `Node`.
DualIt & | operator++ ()
| Increment operator.
bool | operator== (Invalid) const
| Validity checking.
bool | operator!= (Invalid) const
| Validity checking.

## Constructor & Destructor Documentation

## DualIt()

template<typename GR, typename CM, typename TR>

DualIt | ( | const MinCostArborescence & | algorithm,
|  | int | variable )

inline

Constructor for getting the nodeset of the dual variable of MinCostArborescence algorithm.

## Member Function Documentation

## operator Node()

template<typename GR, typename CM, typename TR>

operator Node | ( |  | ) | const

inline

Conversion to `Node`.

## operator++()

template<typename GR, typename CM, typename TR>

DualIt & operator++ | ( |  | ) |

inline

Increment operator.

## operator==()

template<typename GR, typename CM, typename TR>

bool operator== | ( | Invalid |  | ) | const

inline

Checks whether the iterator is invalid.

## operator!=()

template<typename GR, typename CM, typename TR>

bool operator!= | ( | Invalid |  | ) | const

inline

Checks whether the iterator is valid.